%define name	gtkpod
%define version 0.99.10
%define release %mkrel 3

%define build_plf 0
%{?_with_plf: %{expand: %%global build_plf 1}}
%if %build_plf
%define distsuffix plf
%endif
#fixed2
%{?!mkrel:%define mkrel(c:) %{-c: 0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*\\D\+)?(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}

Name: 	 	%{name}
Summary: 	GTK interface to iPod
Version: 	%{version}
Release: 	%{release}

Source0:	http://prdownloads.sourceforge.net/gtkpod/%{name}-%{version}.tar.bz2
Patch: gtkpod-0.99.10-evo.patch
Patch1: gtkpod-0.99.8-cover.patch
#gw change default mount point in the sync scripts. This isn't strictly
#nessessary as all scripts support a command line option -i mountpoint
Patch3: gtkpod-mountpoint.patch
URL:		http://gtkpod.sourceforge.net/
License:	GPL
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libid3tag-devel
BuildRequires:	libgpod-devel >= 0.5.2
BuildRequires:	libvorbis-devel
BuildRequires:	libflac-devel
BuildRequires:	gtk2-devel libglade2.0-devel
BuildRequires:	libcurl-devel
BuildRequires:	libhal-devel
BuildRequires:	libgnome-vfs2-devel
BuildRequires:	libgnomecanvas2-devel
BuildRequires:	desktop-file-utils
BuildRequires:	flex
%if %build_plf
BuildRequires:	libmp4v2-devel
%endif

%description
gtkpod is a platform independent GUI for Apple's iPod using GTK2. It allows
you to upload songs and playlists to your iPod. It supports ID3 tag editing,
multiple charsets for ID3 tags, detects duplicate songs, allows offline
modification of the database with later synchronisation, and more.

gtkpod allows you to
    * Read your existing iTunesDB (i.e. import the existing contents of
      your iPod).
    * Add mp3 files to the iPod. You can choose the charset the ID3 tags
      are encoded in from within gtkpod. The default is the charset
      currently used by your locale setting.
    * When adding songs, gtkpod detects duplicates (opt).
    * Remove songs from the iPod.
    * Create and modify playlists.
    * Modify ID3 tags -- changes are also updated in the original file (opt)
    * Write the updated iTunesDB and added songs to your iPod.
    * Work offline and synchronize your new playlists / songs with the iPod
      at a later time.

%if %build_plf
This package is in PLF as it may violate some MP4 patents.
%endif

%prep
%setup -q
%patch0 -p1 -b .evo
%patch1 -p1 -b .cover
%patch3 -p1 -b .mountpoint
chmod 644 README ChangeLog COPYING AUTHORS

%build
%configure2_5x
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
desktop-file-install --vendor="" \
	--add-category="X-MandrivaLinux-Multimedia-Sound" \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %{name}

%if %_lib != lib
perl -pi -e "s!%_prefix/lib!%_libdir!g" %buildroot%_datadir/%name/scripts/sync-evolution.sh
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
%update_icon_cache hicolor
		
%postun
%clean_menus
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/gtkpod.desktop
%_datadir/icons/hicolor/*/apps/gtkpod.*



%changelog
* Mon Jul 09 2007 Götz Waschk <waschk@mandriva.org> 0.99.10-3mdv2008.0
+ Revision: 50514
- really fix sync-evolution
- update deps

* Mon Jul 09 2007 Götz Waschk <waschk@mandriva.org> 0.99.10-2mdv2008.0
+ Revision: 50501
- fix evolution script to work on x86_64 as well

* Mon Jul 09 2007 Götz Waschk <waschk@mandriva.org> 0.99.10-1mdv2008.0
+ Revision: 50475
- new version
- update patch 3
- use upstream desktop file
- drop legacy menu

* Thu Jul 05 2007 Götz Waschk <waschk@mandriva.org> 0.99.9-0.20070619.2mdv2008.0
+ Revision: 48641
- rediff patches 0,3 for new evolution

* Tue Jun 19 2007 Götz Waschk <waschk@mandriva.org> 0.99.9-0.20070619.1mdv2008.0
+ Revision: 41374
- new version
- update buildrequires


* Thu Feb 08 2007 Götz Waschk <waschk@mandriva.org> 0.99.9-0.20070207.1mdv2007.0
+ Revision: 117845
- new snapshot
- update patch 3

* Tue Jan 30 2007 Götz Waschk <waschk@mandriva.org> 0.99.9-0.20070121.1mdv2007.1
+ Revision: 115329
- cvs snapshot
- drop patch 3
- bump deps

* Wed Dec 20 2006 Götz Waschk <waschk@mandriva.org> 0.99.8-2mdv2007.1
+ Revision: 100406
- update mount point patch for /media
- unpack patches
- patch sync scripts to force default ipod mount point
- fix description
- Import gtkpod

* Sun Oct 08 2006 Gtz Waschk <waschk@mandriva.org> 0.99.8-1mdv2007.1
- fix mp4 track detection for enhanced AAC
- bump deps
- rediff patch 1
- New version 0.99.8

* Tue Aug 01 2006 Gtz Waschk <waschk@mandriva.org> 0.99.4-3mdv2007.0
- xdg menu

* Fri Apr 28 2006 Gtz Waschk <waschk@mandriva.org> 0.99.4-2mdk
- update patch 0 for newer evolution

* Sun Mar 05 2006 Götz Waschk <waschk@mandriva.org> 0.99.4-1mdk
- New release 0.99.4

* Thu Dec 22 2005 Gtz Waschk <waschk@mandriva.org> 0.99.2-3mdk
- improve cover import
- add mkrel macro for backports

* Thu Dec 15 2005 Gtz Waschk <waschk@mandriva.org> 0.99.2-2mdk
- fix path in evolution address script

* Wed Dec 14 2005 Götz Waschk <waschk@mandriva.org> 0.99.2-1mdk
- New release 0.99.2

* Tue Dec 13 2005 Gtz Waschk <waschk@mandriva.org> 0.99.0-4mdk
- fix buildrequires

* Mon Dec 12 2005 Gtz Waschk <waschk@mandriva.org> 0.99.0-3mdk
- fix buildrequires

* Sun Dec 11 2005 Gtz Waschk <waschk@mandriva.org> 0.99.0-2mdk
- add distsuffix

* Sun Dec 11 2005 Gtz Waschk <waschk@mandriva.org> 0.99.0-1mdk
- update deps
- New release 0.99.0

* Mon Nov 28 2005 Gtz Waschk <waschk@mandriva.org> 0.94.0-3mdk
- fix buildrequires

* Fri Jul 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.94.0-2mdk
- Fix BuildRequires

* Sun Jul 17 2005 Austin Acton <austin@mandriva.org> 0.94.0-1mdk
- New release 0.94.0

* Mon Jun 27 2005 Austin Acton <austin@mandriva.org> 0.93.1-1mdk
- 0.93.1
- fix buildrequires (bug 16578)
- drop gcc patch

* Fri Jun 17 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.88.2-2mdk
- fix build with gcc4 (P0)
- add plf build for mp4v2 aac support
- fix buildrequires

* Sun Apr 03 2005 Eskild Hustvedt <eskild@mandrake.org> 0.88.2-1mdk
- New release 0.88.2
- %%mkrel

* Thu Mar 17 2005 Austin Acton <austin@mandrake.org> 0.88.1-1mdk
- New release 0.88.1

* Thu Mar 10 2005 Austin Acton <austin@mandrake.org> 0.88-1mdk
- New release 0.88

* Wed Mar 02 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.87.3-1mdk
- 0.87.3

* Sat Nov 20 2004 Austin Acton <austin@mandrake.org> 0.85.0-1mdk
- 0.85.0

* Thu Sep 23 2004 Austin Acton <austin@mandrake.org> 0.80-2.1mdk
- 0.80-2
- configure 2.5

* Fri Apr 02 2004 Austin Acton <austin@mandrake.org> 0.72-2.1mdk
- 0.72-2

